Mir

[testsfail] ApplicationNotRespondingDetection.failure_to_pong_is_noticed

Bug #1570327 reported by Alan Griffiths on 2016-04-14
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mir
Fix Released
High
Alberto Aguirre
mir (Ubuntu)
Undecided
Unassigned

Bug Description

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/844/consoleFull

18:51:00 11: [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
18:51:00 11: [2016-04-13 18:50:59.936136] mirserver: Starting
18:51:00 11: [2016-04-13 18:51:00.526634] mirserver: Selected driver: dummy (version 0.22.0)
18:51:02 11: [2016-04-13 18:51:02.694384] mirserver: Using software cursor
18:51:03 11: [2016-04-13 18:51:03.829134] mirserver: Initial display configuration:
18:51:03 11: [2016-04-13 18:51:03.876013] mirserver: 1.1: VGA 0.0" 0x0mm
18:51:03 11: [2016-04-13 18:51:03.894852] mirserver: Current mode 1600x1600 60.00Hz
18:51:03 11: [2016-04-13 18:51:03.897768] mirserver: Preferred mode 1600x1600 60.00Hz
18:51:03 11: [2016-04-13 18:51:03.900158] mirserver: Logical position +0+0
18:51:05 11: [2016-04-13 18:51:05.590816] mirserver: Selected input driver: mir:stub-input (version: 0.22.0)
18:51:05 11: [2016-04-13 18:51:05.932306] mirserver: Mir version 0.22.0
18:51:26 11: /��BUILDDIR��/mir-0.22.0+xenial862bzr3452/tests/acceptance-tests/test_application_not_responding_detection.cpp:115: Failure
18:51:26 11: Value of: marked_as_unresponsive.wait_for(10s)
18:51:26 11: Actual: false
18:51:26 11: Expected: true
18:51:28 11: [2016-04-13 18:51:28.042141] mirserver: Stopping
18:51:30 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (30224 ms)

Related branches

tags: added: testsfail
Alan Griffiths (alan-griffiths) wrote :

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/988/consoleFull

14:28:40 11: [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
14:28:40 11: [2016-04-29 14:28:39.512669] mirserver: Starting
14:28:40 11: [2016-04-29 14:28:39.835709] mirserver: Selected driver: dummy (version 0.23.0)
14:28:41 11: [2016-04-29 14:28:41.859419] mirserver: Using software cursor
14:28:42 11: [2016-04-29 14:28:42.947342] mirserver: Initial display configuration:
14:28:43 11: [2016-04-29 14:28:42.988480] mirserver: 1.1: VGA 0.0" 0x0mm
14:28:43 11: [2016-04-29 14:28:43.006892] mirserver: Current mode 1600x1600 60.00Hz
14:28:43 11: [2016-04-29 14:28:43.009869] mirserver: Preferred mode 1600x1600 60.00Hz
14:28:43 11: [2016-04-29 14:28:43.012196] mirserver: Logical position +0+0
14:28:44 11: [2016-04-29 14:28:44.851649] mirserver: Selected input driver: mir:stub-input (version: 0.23.0)
14:28:45 11: [2016-04-29 14:28:45.212352] mirserver: Mir version 0.23.0
14:29:06 11: /��BUILDDIR��/mir-0.23.0+xenial1015bzr3478/tests/acceptance-tests/test_application_not_responding_detection.cpp:115: Failure
14:29:06 11: Value of: marked_as_unresponsive.wait_for(10s)
14:29:06 11: Actual: false
14:29:06 11: Expected: true
14:29:09 11: [2016-04-29 14:29:09.134025] mirserver: Stopping
14:29:10 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (31029 ms)

Daniel van Vugt (vanvugt) wrote :

And again today:

08:37:30 11: /��BUILDDIR��/mir-0.25.0+xenial1960bzr3656/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
08:37:30 11: Value of: marked_as_unresponsive.wait_for(10s)
08:37:30 11: Actual: false
08:37:30 11: Expected: true
08:37:31 11: [2016-08-25 08:37:31.256791] mirserver: Stopping
08:37:31 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (20674 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/1933/consoleFull

Changed in mir:
importance: Undecided → Medium
Daniel van Vugt (vanvugt) wrote :

Another:

12:53:06 13: /��BUILDDIR��/mir-0.25.0+xenial2058bzr3680/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
12:53:06 13: Value of: marked_as_unresponsive.wait_for(10s)
12:53:06 13: Actual: false
12:53:06 13: Expected: true
12:53:07 13: [2016-09-01 12:53:06.972710] mirserver: Stopping
12:53:07 13: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (17691 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/2033/consoleFull

Changed in mir:
assignee: nobody → Chris Halse Rogers (raof)
milestone: none → 0.25.0
status: Confirmed → In Progress
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
milestone: 0.25.0 → 0.26.0
Daniel van Vugt (vanvugt) wrote :

Again today:

17:49:51 11: [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
17:49:51 11: [2016-11-30 17:49:51.375701] mirserver: Starting
17:49:51 11: [2016-11-30 17:49:51.377824] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
17:49:51 11: [2016-11-30 17:49:51.762318] mirserver: Using software cursor
17:49:51 11: [2016-11-30 17:49:51.838367] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
17:49:51 11: [2016-11-30 17:49:51.839770] mirserver: Mir version 0.26.0
17:49:51 11: [2016-11-30 17:49:51.853676] mirserver: Initial display configuration:
17:49:51 11: [2016-11-30 17:49:51.854018] mirserver: Output 1: VGA connected, used
17:49:51 11: [2016-11-30 17:49:51.854284] mirserver: Physical size 0.0" 0x0mm
17:49:51 11: [2016-11-30 17:49:51.854623] mirserver: Power is on
17:49:52 11: [2016-11-30 17:49:51.854877] mirserver: Current mode 1600x1600 60.00Hz
17:49:52 11: [2016-11-30 17:49:51.855123] mirserver: Preferred mode 1600x1600 60.00Hz
17:49:52 11: [2016-11-30 17:49:51.855339] mirserver: Orientation normal
17:49:52 11: [2016-11-30 17:49:51.855563] mirserver: Logical size 1600x1600
17:49:52 11: [2016-11-30 17:49:51.855782] mirserver: Logical position +0+0
17:50:55 11: /<<BUILDDIR>>/mir-0.25.0+yakkety3035bzr3858/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
17:50:55 11: Value of: marked_as_unresponsive.wait_for(1min)
17:50:55 11: Actual: false
17:50:55 11: Expected: true
17:50:55 11: [2016-11-30 17:50:55.579960] mirserver: Stopping
17:50:55 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (64480 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/3007/consoleFull

Changed in mir:
milestone: 0.26.0 → none
Daniel van Vugt (vanvugt) wrote :

Again, but not often...

07:30:34 11: /<<BUILDDIR>>/mir-0.25.0+yakkety3222bzr3882/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
07:30:34 11: Value of: marked_as_unresponsive.wait_for(1min)
07:30:34 11: Actual: false
07:30:34 11: Expected: true
07:30:34 11: [2016-12-19 07:30:34.166189] mirserver: Stopping
07:30:34 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (62869 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/3192/consoleFull

Changed in mir:
importance: Medium → High
Alan Griffiths (alan-griffiths) wrote :
Download full text (3.2 KiB)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/3423/consoleFull

16:12:54 11: [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
16:12:54 11: [2017-01-10 16:12:54.884939] mirserver: Starting
16:12:54 11: [2017-01-10 16:12:54.890275] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
16:12:55 11: [2017-01-10 16:12:55.583087] mirserver: Using software cursor
16:12:55 11: [2017-01-10 16:12:55.954440] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
16:12:55 11: [2017-01-10 16:12:55.957011] mirserver: Mir version 0.26.0
16:12:56 11: [2017-01-10 16:12:55.978378] mirserver: Initial display configuration:
16:12:56 11: [2017-01-10 16:12:55.978779] mirserver: Output 1: VGA connected, used
16:12:56 11: [2017-01-10 16:12:55.979082] mirserver: Physical size 0.0" 0x0mm
16:12:56 11: [2017-01-10 16:12:55.979344] mirserver: Power is on
16:12:56 11: [2017-01-10 16:12:55.979640] mirserver: Current mode 1600x1600 60.00Hz
16:12:56 11: [2017-01-10 16:12:55.979917] mirserver: Preferred mode 1600x1600 60.00Hz
16:12:56 11: [2017-01-10 16:12:55.980149] mirserver: Orientation normal
16:12:56 11: [2017-01-10 16:12:55.980402] mirserver: Logical size 1600x1600
16:12:56 11: [2017-01-10 16:12:55.980654] mirserver: Logical position +0+0
16:14:01 11: /<<BUILDDIR>>/mir-0.26.0+zesty3453bzr3918/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
16:14:01 11: Value of: marked_as_unresponsive.wait_for(1min)
16:14:01 11: Actual: false
16:14:01 11: Expected: true
16:14:01 11: [2017-01-10 16:14:01.657381] mirserver: Stopping
16:14:01 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (67162 ms)

...

16:26:48 [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
16:26:48 [2017-01-10 16:12:54.884939] mirserver: Starting
16:26:48 [2017-01-10 16:12:54.890275] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
16:26:48 [2017-01-10 16:12:55.583087] mirserver: Using software cursor
16:26:48 [2017-01-10 16:12:55.954440] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
16:26:48 [2017-01-10 16:12:55.957011] mirserver: Mir version 0.26.0
16:26:48 [2017-01-10 16:12:55.978378] mirserver: Initial display configuration:
16:26:48 [2017-01-10 16:12:55.978779] mirserver: Output 1: VGA connected, used
16:26:48 [2017-01-10 16:12:55.979082] mirserver: Physical size 0.0" 0x0mm
16:26:48 [2017-01-10 16:12:55.979344] mirserver: Power is on
16:26:48 [2017-01-10 16:12:55.979640] mirserver: Current mode 1600x1600 60.00Hz
16:26:48 [2017-01-10 16:12:55.979917] mirserver: Preferred mode 1600x1600 60.00Hz
16:26:48 [2017-01-10 16:12:55.980149] mirserver: Orientation normal
16:26:48 [2017-01-10 16:12:55.980402] mirserver: Logical size 1600x1600
16:26:48 [2017-01-10 16:12:55.980654] mirserver: Logical position +0+0
16:26:48 /<<BUILDDIR>>/mir-0.26.0+zesty3453bzr3918/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
16:26:48 Value of: marked_as_unresponsive.wait_for(1min)
16:26:48 Actual: false
16:26:48 Expected: true
16:26:48 [2017-01-10 16:14:01.657381] mirserver: Stopping
16:26:48...

Read more...

Alberto Aguirre (albaguirre) wrote :

Again in:

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/3651/arch=amd64,compiler=gcc,platform=mesa,release=zesty/consoleFull

[----------] 6 tests from ApplicationNotRespondingDetection
02:19:02 11: [ RUN ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed
02:19:02 11: [2017-01-19 02:19:02.460246] mirserver: Starting
02:19:02 11: [2017-01-19 02:19:02.487413] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
02:19:04 11: [2017-01-19 02:19:04.424170] mirserver: Using software cursor
02:19:04 11: [2017-01-19 02:19:04.912695] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
02:19:05 11: [2017-01-19 02:19:04.915452] mirserver: Mir version 0.26.0
02:19:05 11: [2017-01-19 02:19:04.959094] mirserver: Initial display configuration:
02:19:05 11: [2017-01-19 02:19:04.959509] mirserver: Output 1: VGA connected, used
02:19:05 11: [2017-01-19 02:19:04.959791] mirserver: Physical size 0.0" 0x0mm
02:19:05 11: [2017-01-19 02:19:04.960018] mirserver: Power is on
02:19:05 11: [2017-01-19 02:19:04.960308] mirserver: Current mode 1600x1600 60.00Hz
02:19:05 11: [2017-01-19 02:19:04.960596] mirserver: Preferred mode 1600x1600 60.00Hz
02:19:05 11: [2017-01-19 02:19:04.960842] mirserver: Orientation normal
02:19:05 11: [2017-01-19 02:19:04.961139] mirserver: Logical size 1600x1600
02:19:05 11: [2017-01-19 02:19:04.961834] mirserver: Logical position +0+0
02:20:14 11: /<<BUILDDIR>>/mir-0.26.0+zesty3689bzr3954/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
02:20:14 11: Value of: marked_as_unresponsive.wait_for(1min)
02:20:14 11: Actual: false
02:20:14 11: Expected: true
02:20:15 11: [2017-01-19 02:20:15.759863] mirserver: Stopping
02:20:16 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (73929 ms)

Daniel van Vugt (vanvugt) wrote :

Again:

05:35:36 11: /<<BUILDDIR>>/mir-0.26.0+zesty3725bzr3967/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
05:35:36 11: Value of: marked_as_unresponsive.wait_for(1min)
05:35:36 11: Actual: false
05:35:36 11: Expected: true
05:35:38 11: [2017-01-20 05:35:38.409196] mirserver: Stopping
05:35:38 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (78129 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/3682/consoleFull

Changed in mir:
assignee: Chris Halse Rogers (raof) → nobody
Changed in mir:
assignee: nobody → Alberto Aguirre (albaguirre)
status: Confirmed → In Progress
milestone: none → 1.0.0
Daniel van Vugt (vanvugt) wrote :

Again:

01:42:46 11: /<<BUILDDIR>>/mir-0.26.0+zesty3751bzr3967/tests/acceptance-tests/test_application_not_responding_detection.cpp:132: Failure
01:42:46 11: Value of: marked_as_unresponsive.wait_for(1min)
01:42:46 11: Actual: false
01:42:46 11: Expected: true
01:42:47 11: [2017-01-21 01:42:47.303763] mirserver: Stopping
01:42:47 11: [ FAILED ] ApplicationNotRespondingDetection.failure_to_pong_is_noticed (68068 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/3709/consoleFull

Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 1.0.0

Changed in mir:
status: In Progress → Fix Committed
Kevin DuBois (kdub) wrote :

hmm, seen here https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3707/console

but I think that run happened before the fix was in trunk, so 'fix committed' probably stands.

Changed in mir:
milestone: 1.0.0 → 0.26.0
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package mir - 0.26.0+17.04.20170126.3-0ubuntu1

---------------
mir (0.26.0+17.04.20170126.3-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.0 (https://launchpad.net/mir/+milestone/0.26.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 43
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 6
      . mircore ABI unchanged at 1
    - Enhancements:
      . New/improved toolkit APIs: MirInputConfig and related functions,
        MirWindow and related functions, DisplayConfig and related functions,
        MirScreencastSpec and related functions,
      . Support for configuring input configuration
      . Introduce toolkit extension mechanism for platform specific APIs.
      . Toolkit extensions for: mesa_drm_auth, set_gbm_device and
        window_coordinate_translation
      . Screencasting to a specific MirBuffer.
      . Add DisplayConfigurationController::base_configuration() so downstreams
        can get the base configuration. (Weirdly they can already set it.).
      . x11 platform: allow adjustable scale parameter.
      . Added EDID support: client API, server logging and in mirout.
      . mirout: Add newer attributes only available in the new display
        config API: scaling factor, subpixel arrangement and form factor.
      . mirout: Log the orientation and logical size of each output too.
      . Replace the mir::Server-overridable Reports with Observers.
      . Add xkbcommon to mirclient.pc Requires.private.
      . Deprecate legacy toolkit APIs that will be removed in Mir 1.0
      . Introduced 'client-side vsync', which dramatically reduces latency
        from the client to the screen (particularly for nested servers like
        Unity8).
    - Bugs fixed:
      . [performance] Restore support for better-than-triple buffering by
        default. (LP: #1240909)
      . Frame rate is artificially low on Diamondville Intel Atom systems due
        to aggressive power management (LP: #1388490)
      . [testsfail] failure in CI in
        AndroidInputReceiverSetup.slow_raw_input_doesnt_cause_frameskipping
        (LP: #1394369)
      . [trusted prompt sessions] Can't open two prompt sessions at the same
        time (LP: #1494197)
      . Changing scale, formFactor or DPI in display configuration causes
        renderer teardown/recreate unnecessarily (LP: #1556142)
      . [testsfail] ApplicationNotRespondingDetection.failure_to_pong_is_
        noticed (LP: #1570327)
      . CI failure in TestClientInput.receives_one_touch_event_per_frame
        (LP: #1570698)
      . Mir-on-X mouse input is jerky/stuttery compared to Mir-on-KMS
        (LP: #1576600)
      . [regression] Two fingers in mir_proving_server now resizes/moves app
        windows (two finger apps unusable) (LP: #1586311)
      . Pointer/cursor input lag in unity8 session (LP: #1591328)
      . PointerConfinement.test_we_update_our_confined_region_on_a_resize
      ...

Read more...

Changed in mir (Ubuntu):
status: New → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers